getRisks
READGet risks.
POST /api/v1/quality/getRisks
curl -X POST '<your-host>/api/v1/quality/getRisks' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"description": "string",
"id": "string",
"itemId": "string",
"likelihood": 0,
"notes": "…",
"severity": 0,
"source": "Customer",
"sourceId": "string",
"status": "Open",
"title": "string",
"type": "Risk",
"updatedAt": "string",
"workCenterId": "string",
"workCenterName": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
},
"status": {},
"source": {},
"assignee": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}